body {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.page {
  flex: 1 0 auto;
}

.card-brands {
  &__wrapper {
    width: 100%;
    margin: 10px auto;
  }

  &__body {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 32px 0;
  }

  &__item {
    background-color: #FFFFFF;
    box-shadow: 0px -5px 10px 0px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 110px;
    height: 44px;
    margin: 2px 4px;
    @media (min-width: $md3 + px) {
      width: 274px;
      height: 106px;
    }
    @media (min-width: $md2 + px) {
      margin: 0 20px;
    }
  }

  &__image {
    @media (min-width: $md3 + px) {
      width: 230px;
      height: 60px;
    }
  }

  .filter-brands {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    height: auto;
    @media (min-width: $md3 + px) {
      justify-content: flex-start;
    }

    &__popularity, &__alphabet, &__price {
      padding-right: 16px;
      position: relative;
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 400;
      font-size: 12px;
      line-height: 20px;
      display: flex;
      align-items: center;
      flex: none;
      color: #9E9E9E;
      order: 0;
      flex-grow: 0;
      border: none;
      background: none;
      cursor: pointer;
      @media (min-width: $md3 + px) {
        font-size: 14px;
      }
    }

    .btn_active {
      color: #5B7FBD !important;
    }

    ._icon-down-chevron::before {
      font-size: 10px;
      position: absolute;
      right: 0;
    }
  }
}

.sport-goods {
  &__wrapper {
    background-color: #FFFFFF;
    margin-bottom: 16px;

    &:last-child {
      margin-bottom: 40px;
    }

    @media (min-width: $md2 + px) {
      padding: 20px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    @media (min-width: $md1 + px) {
      align-items: flex-start;
      justify-content: space-between;
    }
  }

  &__main-card {
    text-align: center;
  }

  &__image-max {
    width: 201px;

  }

  &__small-cards {
    display: flex;
    justify-content: center;

  }

  &__image {
    width: 64px;
    height: 64px;
    padding: 8px 4px;
    margin: 0 6px;
    cursor: pointer;
    border: 1px solid $dark-white;
  }

  .sport-goods-wrapper-content {
    @media (min-width: $md2 + px) {
      max-width: 400px;
      margin: 0 20px;
      flex: 1 1 33.333%;

    }
    @media (min-width: $md1 + px) {
      max-width: 100%;
    }
  }

  .content {
    &__title {
      font-family: 'BebasNeue';
      font-style: normal;
      font-weight: 700;
      font-size: 24px;
      line-height: 32px;
      text-align: center;
      letter-spacing: 0.05em;
      color: $black;
      margin: 32px 0 14px 0;
      @media (min-width: $md1 + px) {
        text-align: left;
        margin: 16px 0 14px 0;


      }
    }

  }

  .check {
    display: flex;
    justify-content: center;
    align-items: center;
    @media (min-width: $md1 + px) {
      justify-content: flex-start;
    }

    &__available {
      font-family: 'Montserrat';
      margin: 0 8px;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 20px;
      color: #9E9E9E;
      display: flex;
      justify-content: space-between;
      align-items: center;

    }

    ._icon-check::before {
      padding-right: 4px;
      color: #43D854;
    }

    ._icon-check-exist::before {
      padding-right: 4px;
      color: #FF0000FF;
    }

    &__art {
      font-family: 'Montserrat';
      margin: 0 8px;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 20px;
      color: #9E9E9E;
    }

  }


  .text-more {
    &__example {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 24px;
      text-align: center;
      margin-top: 16px;
      color: #111111;
      @media (min-width: $md3 + px) {
        font-size: 16px;
        line-height: 24px;
      }
      @media (min-width: $md1 + px) {
        text-align: left;
      }
    }

    &__show {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 20px;
      display: flex;
      align-items: center;
      justify-content: center;
      color: #5B7FBD;
      order: 1;
      margin: 20px auto;
      cursor: pointer;
      border: none;
      background: none;
      @media (min-width: $md1 + px) {
        margin: 20px 0;
        padding: 0;
      }
    }

    ._icon-down::before {
      order: 2;
      padding-left: 10px;
    }

    &__close {
      display: none;
    }

    &__open {
      display: block;
      text-align: left;
    }

    &__item {
      font-family: 'Montserrat';
      padding-left: 10px;
      font-style: normal;
      font-weight: 400;
      line-height: 24px;
      font-size: 12px;
      margin-top: 4px;
      @media (min-width: $md2 + px) {
        font-size: 16px;
      }
      @media (min-width: $md1 + px) {
        padding: 0;
        margin: 10px 0;
      }
    }

    &__name {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 700;
      line-height: 24px;
      font-size: 12px;
      color: #5B7FBD;

      @media (min-width: $md2 + px) {
        font-size: 16px;
        line-height: 24px;
      }
    }
    &__title-name{
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 700;
      line-height: 24px;
      font-size: 12px;
      color: #5B7FBD;
      padding-left: 10px;
      @media (min-width: $md2 + px) {
        font-size: 16px;
        line-height: 24px;
      }
    }

    &__item-list {
      list-style: decimal;
      padding-top: 6px;
      margin-left: 26px;
    }
  }

  .order {
    @media (min-width: $md1 + px) {

    }

    .price {
      display: flex;
      align-items: center;
      justify-content: center;
      @media (min-width: $md1 + px) {
        justify-content: flex-start;

      }

      &__number {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 700;
        font-size: 32px;
        line-height: 48px;
        color: #111111;
      }

      &__text {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
        color: #111111;
      }
    }

    &__amount {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 500;
      font-size: 14px;
      line-height: 20px;
      text-align: center;
      color: #FF6031;
      margin: 8px 0 16px 0;
    }

    .btn {
      display: flex;
      align-items: center;
      justify-content: center;
      @media (min-width: $md1 + px) {
        justify-content: flex-start;
      }

      &__request {
        width: 169px;
        height: 48px;
        background: #FF6031;
        color: #FFFFFF;
        border: none;
        font-family: 'BebasNeue';
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        letter-spacing: 0.05em;
        margin-bottom: 24px;
        cursor: pointer;

        &:hover {
          background-color: #FF420A;
        }
      }
    }

    .btn-disabled {
      background-color: $gray;

      &:hover {
        background-color: $gray;
      }
    }
  }
}

.block-modal__order-data {
  display: flex;
  flex-direction: column;
}

.block-modal__select {
  width: 320px;
  height: 40px;
  background: #F5F4F0;
  border: 1px solid #CACACA;
  @media (max-width: $md4 + px) {
    width: 260px;
  }
}

.block-modal__option {
  width: 100px;

  &:hover {
    background: none;
  }
}

.block-modal__close-order {
  color: #6b5e5e;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;

  &:hover:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }
}


details {
  position: relative;
}

details[open] {
  z-index: 1;
}

summary {
  cursor: pointer;
  padding: 10px;
  list-style: none;
  width: 320px;
  height: 40px;
  background: #F5F4F0;
  border: 1px solid #CACACA;
  @media (max-width: $md4 + px) {
    width: 260px;
  }
}

summary::-webkit-details-marker {
  display: none;
}

details[open] summary:before {
  content: '';
  display: block;
  width: 100vh;
  height: 100vh;
  background: transparent;
  position: fixed;
  top: 0;
  left: 0;
}

summary:after {
  content: '';
  display: inline-block;
  float: right;
  width: 10px;
  height: 10px;
  color: #111111;
  border-bottom: 1px solid currentColor;
  border-left: 1px solid currentColor;
  border-bottom-left-radius: 2px;
  transform: rotate(-45deg);
  transform-origin: center center;
  transition: transform ease-in-out 100ms
}

summary:focus {
  outline: none;
}

details[open] summary:after {
  transform: rotate(-45deg) translate(0%, 0%);
}

.custom-select__list {
  position: absolute;
  right: 0;
  top: 100%;
  margin: 0;
  box-sizing: border-box;
  border-radius: 5px;
  max-height: 200px;
  overflow-y: auto;
  background: #F5F4F0;
  border: 1px solid #CACACA;
  width: 201px;
  height: 80px;
}

summary.radios {
  counter-reset: radios;
}

summary.radios:before {
  content: var(--selection);
}

input[type=radio] {
  counter-increment: radios;
  appearance: none;
  display: none;
}

input[type=radio]:checked {
  display: inline;
  --display: block;
}

input[type=radio]:after {
  content: attr(title);
  display: inline;
  font-size: 1rem;
  @media (max-width: $md4 + px) {
    font-size: 12px;
  }
}

.custom-select__list {
  counter-reset: labels;
}

.custom-select__label {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  color: #111111;
  width: 100%;
  cursor: pointer;
  display: flex;
  padding: 10px;
  flex-direction: column;
  text-align: left;
  align-items: flex-start;

  &:hover {
    color: #5B7FBD;
  }
}





